org.apache.cayenne.exp.parser

## Class ASTNotIn

- java.lang.Object
- - org.apache.cayenne.exp.Expression
  - - org.apache.cayenne.exp.parser.SimpleNode
    - - org.apache.cayenne.exp.parser.ConditionNode
      - - org.apache.cayenne.exp.parser.ASTNotIn

- All Implemented Interfaces:
    Serializable, Node, XMLSerializable

      public class ASTNotIn
      extends ConditionNode

  "Not In" expression.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.exp.parser.SimpleNode

      `children, id, parent`

    - ### Fields inherited from class org.apache.cayenne.exp.Expression

      `ADD, AND, ASTERISK, BETWEEN, BITWISE_AND, BITWISE_LEFT_SHIFT, BITWISE_NOT, BITWISE_OR, BITWISE_RIGHT_SHIFT, BITWISE_XOR, DB_PATH, DIVIDE, EQUAL_TO, FALSE, FULL_OBJECT, FUNCTION_CALL, GREATER_THAN, GREATER_THAN_EQUAL_TO, IN, LESS_THAN, LESS_THAN_EQUAL_TO, LIKE, LIKE_IGNORE_CASE, LIST, MULTIPLY, NEGATIVE, NOT, NOT_BETWEEN, NOT_EQUAL_TO, NOT_IN, NOT_LIKE, NOT_LIKE_IGNORE_CASE, OBJ_PATH, OR, PRUNED_NODE, SUBTRACT, TRUE, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTNotIn()`
    `ASTNotIn(SimpleNode path, ASTList list)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Boolean` | `evaluateSubNode(Object o, Object[] evaluatedChildren)`
    `protected String` | `getExpressionOperator(int index)`
    `protected int` | `getRequiredChildrenCount()`
    `int` | `getType()` Returns a type of expression.
    `Expression` | `shallowCopy()` Creates a copy of this expression node, without copying children.
    `protected Object` | `transformExpression(org.apache.commons.collections.Transformer transformer)` A recursive method called from "transform" to do the actual transformation.

    - ### Methods inherited from class org.apache.cayenne.exp.parser.ConditionNode

      `evaluateNode, jjtSetParent`

    - ### Methods inherited from class org.apache.cayenne.exp.parser.SimpleNode

      `appendAsEJBQL, appendAsEJBQL, appendAsEscapedString, appendAsString, appendChildrenAsEJBQL, appendScalarAsString, connectChildren, encodeAsEJBQL, encodeAsString, encodeScalarAsEJBQL, evaluate, evaluateChild, expName, flattenTree, getEJBQLExpressionOperator, getOperand, getOperandCount, getPathAliases, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, notExp, pruneNodeForPrunedChild, setOperand, unwrapChild, wrapChild`

    - ### Methods inherited from class org.apache.cayenne.exp.Expression

      `andExp, andExp, deepCopy, encodeAsXML, equals, expWithParameters, expWithParameters, filter, filterObjects, first, fromString, hashCode, joinExp, joinExp, match, orExp, orExp, params, params, paramsArray, setType, toEJBQL, toEJBQL, toString, transform, traverse, traverse`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTNotIn

          public ASTNotIn()

    - #### ASTNotIn

          public ASTNotIn(SimpleNode path,
                          ASTList list)

  - ### Method Detail

    - #### getRequiredChildrenCount

          protected int getRequiredChildrenCount()

      Specified by:
        `getRequiredChildrenCount` in class `ConditionNode`

    - #### evaluateSubNode

          protected Boolean evaluateSubNode(Object o,
                                            Object[] evaluatedChildren)
                                     throws Exception

      Specified by:
        `evaluateSubNode` in class `ConditionNode`
      Throws:
        `Exception`

    - #### shallowCopy

          public Expression shallowCopy()

      Creates a copy of this expression node, without copying children.
      Specified by:
        `shallowCopy` in class `Expression`

    - #### getExpressionOperator

          protected String getExpressionOperator(int index)

      Specified by:
        `getExpressionOperator` in class `SimpleNode`

    - #### getType

          public int getType()

      Description copied from class: `Expression`
      Returns a type of expression. Most common types are defined as public static fields of this interface.
      Overrides:
        `getType` in class `Expression`

    - #### transformExpression

          protected Object transformExpression(org.apache.commons.collections.Transformer transformer)

      Description copied from class: `Expression`
      A recursive method called from "transform" to do the actual transformation.
      Overrides:
        `transformExpression` in class `Expression`
      Returns:
        null, Expression.PRUNED_NODE or transformed expression.

Copyright © 2001–2018 Apache Cayenne. All rights reserved.